#!/bin/bash
. ./xivo-releases


for num in $(seq 1 $version); do
    version="1.1.$num"
    # version 1.1.5, 1.1.7 and 1.1.9 do not exist
    if [ $version = '1.1.5' ] || [ $version = '1.1.7' ] || [ $version = '1.1.9' ] || [ $version = '1.1.18' ] || [ $version = '1.1.21' ] || [ $version = '1.1.22' ] ; then
        continue
    else
        dir_name="pf-fai-$release-$version"
        if [ ! -d data/$dir_name ]; then
            full_path="data/$dir_name/sources.list.d"
            sourceslist="$full_path/xivo.sources.list"
            mkdir -p $full_path
            echo "# XiVO Archive" > $sourceslist
            echo deb $mirror $repository-$version main non-free >> $sourceslist
            echo "You have to commit your modification"
        fi
    fi
    for control_file in debian/control ; do
       grep -Eo "Package: $dir_name" $control_file
       if [ $? -ne 0 ]; then
       cat <<- END >> $control_file

Package: $dir_name
Architecture: all
Provides: pf-fai-xivo
Conflicts: pf-fai-xivo
Replaces: pf-fai-xivo
Depends: pf-fai
Description: XIVO 1.1 Gallifrey $version bootstrap
  Needed configuration to bootstrap a XIVO installation.
  .
  Homepage: http://www.xivo.fr/
END
        fi
    done

done
